org.eclipse.ease.ui.launching

## Class LibrariesTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.ease.ui.launching.LibrariesTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2

    public class LibrariesTab
    extends AbstractLaunchConfigurationTab
    implements ILaunchConfigurationTab

### Constructor Summary

Constructors
Constructor and Description
`LibrariesTab()`

### Method Summary

Methods
`void` `createControl(Composite parent)`
`String` `getMessage()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, deactivated, dispose, getControl, getErrorMessage, getHelpContextId, getId, getImage, getWarningMessage, isValid, launched, setHelpContextId, setLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`activated, canSave, deactivated, dispose, getControl, getErrorMessage, getImage, isValid, launched, setLaunchConfigurationDialog`

### Constructor Detail

#### LibrariesTab

    public LibrariesTab()

### Method Detail

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getMessage` in class `AbstractLaunchConfigurationTab`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`